#!/usr/bin/env node

const fs = require("fs");
const css = require("css");

fs.readFile("/app/setup/chromecast.css", "utf-8", (err, a) => {
    let data = "";
    if(err === null) {
        try {
            let ast = css.parse(a);
            for(const rule of ast.stylesheet.rules) {
                const decls = [];
                if(Symbol.iterator in Object(rule.declarations)) {
                    for(const decl of rule.declarations) {
                        const isNotUrl = !(decl.value.toLowerCase().startsWith("url"));
                        const isNotContent = !(decl.property.toLowerCase() == "content");
                        if(isNotContent && isNotUrl) {
                            decls.push(decl);
                        }
                    }
                    rule.declarations = decls;
                }
            }
            data = css.stringify(ast);
        } catch(e) {
            console.log(e);
        }
    }
    fs.readFile("/app/style.css", "utf-8", (err, b) => {
        if(err === null) {
            data = b + "\n" + data + "\n";
        }
        fs.writeFile("/app/style.css", css.stringify(css.parse(data), {"compress": true}), (err) => {
            if(err !== null) {
                console.log(err);
            }
        });
    });
});
